%global py_ver 2.4
%global momorel 1
%global md5_source0 34aaac35a8326eba1c8076ee9e93fb6c
Name: subversion
%{?include_specopt}
## Configuration
%{?!make_check: %global make_check 1}
%{?!with_java: %global with_java 0} 

Summary: subversion a compelling replacement for CVS
Version: 1.3.2
Release: %{momorel}m
License: Apache
Group: Development/Tools
URL: http://subversion.tigris.org/
%NoSource 0 http://subversion.tigris.org/tarballs/subversion-%{version}.tar.bz2 %{md5_source0}
Source1: subversion.conf
Source2: svnserve.sh
Source3: pre-svnserve
Source5: filter-requires.sh
Source10: http://cvs2svn.tigris.org/files/documents/1462/32231/cvs2svn-1.3.1.tar.gz
Patch1: subversion-1.1.3-config.patch
Patch2: subversion-0.20.1-deplibs.patch
Patch3: subversion-0.31.0-rpath.patch
Patch6: subversion-1.0.3-pie.patch
Patch7: subversion-1.1.3-java.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: autoconf, libtool, python, python-devel, texinfo, which
BuildPreReq: db4-devel >= 4.1.25, swig
BuildPreReq: apr-devel >= 0.9.6-1, apr-util-devel >= 0.9.5-1
BuildPreReq: neon-devel >= 0.25.5-3m
BuildPreReq: openldap-devel
Obsoletes: %{name}-utils

%global __perl_requires %{SOURCE5}

# Put Python bindings in site-packages
%global pydir %(python -c 'from distutils import sysconfig; print sysconfig.get_python_lib(1)')
%global swigdirs swig_pydir=%{pydir}/libsvn swig_pydir_extra=%{pydir}/svn

## for Ruby bindings 
%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')


%description
Subversion is a concurrent version control system which enables one
or more users to collaborate in developing and maintaining a
hierarchy of files and directories while keeping a history of all
changes.  Subversion only stores the differences between versions,
instead of every complete file.  Subversion is intended to be a
compelling replacement for CVS.

%package devel
Group: Development/Tools
Summary: Development package for subversion developers.
Requires: subversion = %{version}-%{release}, apr-devel, apr-util-devel

%description devel
The subversion-devel package includes the static libraries and
include files for developers interacting with the subversion
package.

%package server
Group: System Environment/Daemons
Summary: Apache server module for Subversion server.
Requires: httpd-mmn = %(cat %{_includedir}/httpd/.mmn || echo missing)
Requires: subversion = %{version}-%{release}
BuildRequires: httpd-devel >= 2.0.45

%description server
The subversion-server package allows access to a Subversion repository
using HTTP, via the Apache httpd server.

%package python
Group: Development/Libraries
Summary: Python bindings to the Subversion libraries
BuildRequires: python >= %{py_ver}
Requires: subversion = %{version}-%{release}

%description python
This package includes the Python bindings to the Subversion libraries.

%package perl
Group: Development/Libraries
Summary: Perl bindings to the Subversion libraries
BuildRequires: perl >= 5.8.0
Requires: subversion = %{version}-%{release}

%description perl
This package includes the Perl bindings to the Subversion libraries.

%if %{with_java}
%package javahl
Group: Development/Libraries
Summary: JNI bindings to the Subversion libraries
Requires: subversion = %{version}-%{release}
BuildRequires: java-1.4.2-devel

%description javahl
This package includes the JNI bindings to the Subversion libraries.
%endif

%package ruby
Group: Development/Tools
Summary: subversion ruby bindings
Requires: ruby >= 1.8.2
Requires: subversion = %{version}-%{release}

%description ruby
This package includes the Ruby bindings to the Subversion libraries.

%prep
%setup -q
%patch1 -p1 -b .config
%patch2 -p1 -b .deplibs
%patch3 -p1 -b .rpath
%patch6 -p1 -b .pie
%if %{with_java}
%patch7 -p1 -b .java
%endif
tar zxf %{SOURCE10} -C tools

find . -type d -exec chmod go+rx {} \;
find . -type f -exec chmod go+r {} \;
find . \( -name "*py" -o -name "*rb" -o -name "*sh" \) -exec chmod o+x {} \;

%build
./autogen.sh

# fix shebang lines, #111498
perl -pi -e 's|/usr/bin/env perl -w|/usr/bin/perl -w|' tools/hook-scripts/*.pl.in

# override weird -shrext from ruby
export svn_cv_ruby_link="%{__cc} -shared"

export CC=gcc CXX=g++ JAVA_HOME=%{jdk_path}
%configure --disable-static \
           --disable-mod-activation \
           --with-zlib \
           --with-apr=%{_prefix} \
           --with-apr-util=%{_prefix} \
           --with-swig=%{_prefix} \
           --with-neon=%{_prefix} \
           --with-apxs=%{_sbindir}/apxs \
           --with-ruby-sitedir=%{_prefix}/lib/ruby \
           --with-berkeley-db=%{_prefix}

# 1.3.0 tarball ships with generated swig sources
make extraclean-swig-headers swig-headers
make %{?_smp_mflags} all
make swig-pl swig-py %{swigdirs}
%if %{with_java}
make javahl
%endif

%install
rm -rf --preserve-root %{buildroot}
make install install-swig-py install-swig-pl-lib install-swig-rb \
        DESTDIR=%{buildroot} %{swigdirs}
%if %{with_java}
make install-javahl DESTDIR=%{buildroot}
%endif

make pure_site_install -C subversion/bindings/swig/perl/native \
        PERL_INSTALL_ROOT=%{buildroot}

# Add subversion.conf configuration file into httpd/conf.d directory.
install -m 755 -d %{buildroot}%{_sysconfdir}/httpd/conf.d
install -m 644 $RPM_SOURCE_DIR/subversion.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/subversion.conf.dist
# install wrapper script
mv %{buildroot}%{_bindir}/svnserve %{buildroot}%{_bindir}/svnserve-bin
%{__install} -m 0755 %{SOURCE2} %{buildroot}%{_bindir}/svnserve

cp -a tools/cvs2svn-*/cvs2svn_rcsparse %{buildroot}%{_libdir}/python%{py_ver}/site-packages/
rm -rf %{buildroot}%{_libdir}/python%{py_ver}/site-packages/rcsparse/CVS
install -m 755 tools/cvs2svn-*/cvs2svn %{buildroot}%{_bindir}/cvs2svn
install -m 755 tools/cvs2svn-*/cvs2svn.1 %{buildroot}%{_mandir}/man1/
install -m 755 svn-config %{buildroot}%{_bindir}/svn-config

%{__install} -m 0755 -d %{buildroot}%{_sysconfdir}/subversion
%{__install} -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/subversion/

%{__install} -m 0755 contrib/client-side/svn_load_dirs.pl %{buildroot}%{_bindir}/
%{__install} -m 0755 contrib/client-side/svn_all_diffs.pl %{buildroot}%{_bindir}/
%{__install} -m 0755 contrib/client-side/search-svnlog.pl %{buildroot}%{_bindir}/
%{__install} -m 0755 contrib/client-side/svn-log.pl %{buildroot}%{_bindir}/

(cd %{buildroot}/%{_libdir}; echo libsvn_*.so*) | \
        tr ' ' '\012' | \
        %__sed -n '/libsvn_swig_/!s@^@%{_libdir}/@p' > libsvn_so_list
(cd %{buildroot}%{ruby_archdir}/svn/ext; \
        %__rm *.la *.a; \
        for so in *.so*; do mv $so `echo -n $so | %__sed 's/\.so.*//'`.so; done)

# Remove unpackaged files
rm -rf %{buildroot}%{_includedir}/subversion-*/*.txt \
       %{buildroot}%{pydir}/*/*.{a,la}
       
# remove stuff produced with Perl modules
find %{buildroot} -type f \
    -a \( -name .packlist -o \( -name '*.bs' -a -empty \) \) \
    -print0 | xargs -0 rm -f

# make Perl modules writable so they get stripped
find %{buildroot}%{_libdir}/perl5 -type f -perm 555 -print0 |
    xargs -0 chmod 755

# unnecessary libraries for swig bindings
rm -f %{buildroot}%{_libdir}/libsvn_swig_*.{so,la,a}

# Remove unnecessary ruby libraries
rm -f %{buildroot}%{_libdir}/ruby/*/*/svn/ext/*.*a

# Trim what goes in docdir
rm -rf tools/*/*.in tools/test-scripts

# Rename authz_svn INSTALL doc for docdir
ln -f subversion/mod_authz_svn/INSTALL mod_authz_svn-INSTALL

%find_lang %{name}

%if %{make_check}
%check
export LANG=C LC_ALL=C
make check check-swig-pl check-swig-py CLEANUP=yes
# check-swig-rb omitted: it runs svnserve
%endif

%clean
rm -rf --preserve-root %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc BUGS COMMITTERS COPYING HACKING INSTALL README CHANGES
%doc tools subversion/LICENSE mod_authz_svn-INSTALL
%doc contrib/client-side/svn_load_dirs{.pl,_*,.README}
%dir %{_sysconfdir}/subversion
%config(noreplace) %{_sysconfdir}/subversion/pre-svnserve
%{_bindir}/*
%{_libdir}/libsvn_*.so.*
%{pydir}/cvs2svn_rcsparse
%{_mandir}/man*/*
%exclude %{_libdir}/libsvn_swig_py*
%exclude %{_libdir}/libsvn_swig_perl*
%exclude %{_libdir}/libsvn_swig_ruby*
%exclude %{_mandir}/man*/*::*

%files devel
%defattr(-,root,root,-)
%{_includedir}/subversion-1
%{_libdir}/libsvn*.*a
%{_libdir}/libsvn*.so
%exclude %{_libdir}/libsvn_swig_py*
%exclude %{_libdir}/libsvn_swig_perl*
%exclude %{_libdir}/libsvn_swig_ruby*
%if %{with_java}
%exclude %{_libdir}/libsvnjavahl-1.*
%endif

%files server
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/subversion.conf.dist
%{_libdir}/httpd/modules/mod_dav_svn.so
%{_libdir}/httpd/modules/mod_authz_svn.so

%files python
%defattr(-,root,root,-)
%{pydir}/svn
%{pydir}/libsvn
%{_libdir}/libsvn_swig_py*

%files perl
%defattr(-,root,root,-)
%{perl_sitearch}/auto/SVN
%{perl_sitearch}/SVN
%{_libdir}/libsvn_swig_perl*
%{_mandir}/man*/*::*

%files ruby
%defattr(-,root,root,-)
%{ruby_archdir}/svn
%{ruby_libdir}/svn
%{_libdir}/libsvn_swig_ruby*.so*

%if %{with_java}
%files javahl
%defattr(-,root,root,-)
%{_libdir}/libsvnjavahl-1.*
%{_libdir}/svn-javahl
%endif

%changelog
* Tue Aug 15 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.2-1m)
- update to 1.3.2
- update source10: http://cvs2svn.tigris.org/files/documents/1462/32231/cvs2svn-1.3.1.tar.gz

* Sun Jun 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3.1-7m)
- modify configure for subversion-ruby

* Thu Jun  8 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3.1-6m)
- modify subversion-ruby %files entry

* Mon Jun  5 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3.1-5m)
- remove psvn

* Tue May 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.1-4m)
- add BuildPreReq: openldap-devel for link -lldap

* Wed May 10 2006 Masahiro Takahata <tab@momonga-linux.org>
- (1.3.1-3m)
- rebuild against swig

* Wed May  3 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.1-2m)
- add BuildPreReq: swig >= 1.3.29

* Wed May  3 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3.1-1m)
- use apr-1
- version up

* Mon Apr 10 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.3.0-8m)
- rebuild against openssl-0.9.8a, openldap-2.3.19

* Sat Feb 11 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3.0-7m)
- import subversion-1.3.0-neonver.patch from fc-devel

* Sun Jan 21 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.0-6m)
- add --disable-neon-version-check at configure

* Sat Jan 14 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3.0-5m)
- rebuild against openldap-2.3.11

* Mon Jan  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3.0-4m)
- rebuild against db4.3

* Sun Jan  8 2006 YAMAZAKI Makoto <zaki@zakky.org>
- (1.3.0-3m)
- added pymodule path patch for python-2.3

* Wed Jan  4 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.0-2m)
- add Patch10: subversion-1.3.0-swig.patch

* Wed Jan  4 2006 YAMAZAKI Makoto <zaki@zakky.org>
- (1.3.0-1m)
- updated to 1.3.0
- releasenote:  http://subversion.tigris.org/svn_1.3_releasenotes.html
- unofficial releasenote(japanese) http://dolphin.c.u-tokyo.ac.jp/~nori1/tmp/svn_1.3_releasenotes.html.ja

* Tue Dec  6 2005 OZAWA Sakuro <crouton@momonga-linux.org>
- (1.2.3-5m)
- fix wrong %files entries where libsvn_swig* libraries were doubly listed.

* Mon Dec  5 2005 OZAWA Sakuro <crouton@momonga-linux.org>
- (1.2.3-4m)
- rebuild against swig 1.3.27 *USING AD-HOC PATCH*.
- enable ruby binding.

* Sun Dec  4 2005 OZAWA Sakuro <crouton@momonga-linux.org>
- (1.2.3-3m)
- move libsvn_swig_py*.so* from subversion to subversion-python sub package
  to remove unnecessary dependency from the main package.

* Sat Oct 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-2m)
- rebuild against python-2.4.2
- update subversion-pymodulepath.patch

* Sat Aug 27 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.3-1m)
- update to 1.2.3
  (1.2.2 was a placeholder release and was never officially blessed)

* Sun Aug 21 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.2.1-2m)
- java-sun-jdk1.5-sdk

* Wed Jul 06 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Tue May 24 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.0-1m)
- update to 1.2.0

* Sat May 14 2005 YAMAZAKI Makoto <zaki@zakky.org>
- (1.2.0-0.4.1m)
- updated to 1.2.0-rc4

* Tue Apr  5 2005 YAMAZAKI Makoto <zaki@zakky.org>
- (1.1.4-1m)
- updated to 1.1.4

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (1.1.3-4m)
- bug fix. svn-config don't handle SVN_DB_*.

* Thu Mar 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.3-3m)
- rebuild against swig-1.3.21-1m

* Wed Feb  9 2005 Toru Hoshina <t@momonga-linux.org>
- (1.1.3-2m)
- large file support. rebuild against httpd 2.0.53.

* Sun Jan 16 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.3-1m)
- update to 1.1.3 release version

* Sun Jan 16 2005 Toru Hoshina <t@momonga-linux.org>
- (1.1.2-2m)
- enable x86_64.

* Tue Dec 21 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.2-1m)
- update to 1.1.2 release version

* Sat Oct 23 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.1-1m)
- update to 1.1.1 release version

* Thu Sep 30 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.1.0-1m)
- update to 1.1.0 release version

* Sun Sep 26 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.1.0-0.4.2m)
- added java bindings (disabled by default)

* Sat Sep 25 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.1.0-0.4.1m)
- update to 1.1.0-rc4
- [SECURITY] This update includes security fix of CAN-2004-0749
- changes are:
  User-visible-changes:
  * fixed: mod_authz_svn metadata leaks (CAN-2004-0749)
  * various.po translation updates

  Developer-visible-changes:
  * fixed: buglet in fsfs history code (issue #2054)
  * stop using -std=c89 gcc flag (r11054)
  * sync with apr 1.0's find_apr.m4 and find_apu.m4 files (r10560)
  * win32 installer improvements (r10978)

* Wed Sep 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.1.0-0.3.1m)
- update to 1.1.0-rc3

* Tue Sep  7 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.0-0.2.2m)
- rebuild against python2.3

* Mon Aug 16 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-0.2.1m)
- update to 1.1.0-rc2
- add files %%{_datadir}/locale/*/*/*

* Wed Jul 21 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.6-2m)
- stop service

* Tue Jul 20 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.6-1m)
- update to 1.0.6

* Mon Jul 12 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.5-3m)
- set release of BuildPreReq: httpd-apr >= 2.0.50-1m
- change tar zxvf to tar zxf

* Mon Jun 28 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.5-2m)
- rebuild against db4.2

* Fri Jun 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.5-1m)
- update to 1.0.5

* Sat May 21 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.4-1m)
- update to 1.0.4

* Thu May 20 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.3-1m)
- update to 1.0.3
   this release is for security fix

* Tue Apr 20 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.2-1m)
- update to 1.0.2
- changes
   Fixes for the following bugs:
     a segfault when remotely deleting svn:author property
     mod_dav_svn accepting too many authors
     create runtime config files with native EOLs
     recursive propset can corrupt .svn/entries
     allow shared working copies [mostly working now]
     mod_authz_svn should ignore the URI on a MERGE request
     svnserve assertion failure on empty error messages
     commit/update memory leaks when working on many targets
     and not displaying repos-paths or URLs with '\' on Win32.

* Tue Apr 13 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.1-4m)
- add BuildPreReq: libxml2-devel

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.1-3m)
- rebuild against for libxml2-2.6.8

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.1-2m)
- revised spec for rpm 4.2.

* Sat Mar 14 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1
- delete tools/cvs2svn/rcsparse from file list
- make tarball use current 'svn co http://svn.collab.net/repos/cvs2svn/trunk cvs2svn'

* Mon Feb 23 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.0-1m)
- update to 1.0.0

* Mon Feb 23 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.0-0.1.2m)
- add subversion-utils subpackage which contains tiny tools for client-side svn

* Sun Feb 22 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.0-0.1.1m)
- update to 1.0.0 RC

* Mon Jan 26 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.37.0-1m)
- update to 0.37.0
- post-svnserve was gone

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.36.0-3m)
- import patch from BTS of subversion
   see http://subversion.tigris.org/issues/show_bug.cgi?id=1474
- remove IDEAS from %%files

* Wed Jan 14 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.36.0-2m)
- correct cangelog
- revise svnserve.sh

* Wed Jan 14 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.36.0-1m)
- update to 0.36.0
- add patch from http://subversion.tigris.org/issues/show_bug.cgi?id=1698
- provides pre-svnserve and post-svnserve hooks

* Thu Jan  8 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.35.1-3m)
- remove BuildPreReq: krb5-devel since neon-devel requires it if necessary.

* Wed Jan 07 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.35.1-2m)
- add BuildPreReq: krb5-devel for -lgssapi_krb5

* Sun Dec 21 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.35.1-1m)
- update to 0.35.1

* Fri Dec 12 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.34.0-1m)
- update to 0.34.0
- %%config(noreplace) %%{_sysconfdir}/httpd/conf.d/mod_dav_svn.conf

* Mon Nov 10 2003 Masahiro Takahata <takahata@monoga-linux.org>
- (0.32.1-2m)
- rebuild against openldap

* Sat Oct 25 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.32.1-1m)
- update to 0.32.1

* Tue Oct 14 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.31.0-1m)
- update to 0.31

* Wed Oct  8 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.30.0-1m)
- update to 0.30.0
- change source URL
- License

* Fri Aug 15 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.27.0-1m)
- update to 0.27.0

* Wed Aug 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.26.0-1m)
- add new sub package for python bindings

* Fri Jul 25 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.26.0-1m)
- update to 0.26.0

* Mon Jul 14 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.25-1m)
  update to 0.25

* Tue Jun 24 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.24.1-2m)
  fix niwatama

* Wed Jun 18 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.24.1-1m)
  update to 0.24.1
  
* Fri May 23 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.23.0-1m)
  update to 0.23.0

* Thu May  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.21.0-4m)
  BuildPreReq httpd-apr

* Sun May  4 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.21.0-3m)
- fix %%post and %%preun (svn_design.info.* -> svn-design.info)

* Sun Apr 27 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.21.0-2m)
  added cvs2svn sub package

* Sat Apr 26 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- Initial build.
